## List ADME predictions

**get** `/compute/v1/predictions/adme`

List ADME predictions, optionally filtered by workspace

### Query Parameters

- `after_id: optional string`

  Return results after this ID

- `before_id: optional string`

  Return results before this ID

- `limit: optional number`

  Max items to return. Defaults to 100.

- `workspace_id: optional string`

  Filter by workspace ID. Only used with admin API keys. If not provided, defaults to the workspace associated with the API key, or the default workspace for admin keys.

### Returns

- `data: array of object { id, completed_at, created_at, 10 more }`

  - `id: string`

    Unique prediction identifier

  - `completed_at: string`

  - `created_at: string`

  - `data_deleted_at: string`

    When the input/output data was deleted, or null if still available

  - `error: object { code, message, details }`

    Error details when failed

    - `code: string`

      Machine-readable error code

    - `message: string`

      Human-readable error message

    - `details: optional unknown`

      Additional field-level error details keyed by input path, when available.

  - `expires_at: string`

    When this resource and its associated data will be permanently deleted. Null while still in progress.

  - `livemode: boolean`

    Whether this resource was created with a live API key.

  - `model: "adme-v1"`

    Model used for prediction

    - `"adme-v1"`

  - `started_at: string`

  - `status: "pending" or "running" or "succeeded" or "failed"`

    - `"pending"`

    - `"running"`

    - `"succeeded"`

    - `"failed"`

  - `version: string`

    Model version used for prediction

  - `workspace_id: string`

    Workspace ID

  - `idempotency_key: optional string`

    Client-provided idempotency key

- `first_id: string`

  ID of the first item. Use as before_id for the previous page.

- `has_more: boolean`

- `last_id: string`

  ID of the last item. Use as after_id for the next page.

### Example

```http
curl https://api.boltz.bio/compute/v1/predictions/adme \
    -H "x-api-key: $BOLTZ_API_KEY"
```

#### Response

```json
{
  "data": [
    {
      "id": "id",
      "completed_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_deleted_at": "2019-12-27T18:11:19.117Z",
      "error": {
        "code": "code",
        "message": "message",
        "details": {}
      },
      "expires_at": "2019-12-27T18:11:19.117Z",
      "livemode": true,
      "model": "adme-v1",
      "started_at": "2019-12-27T18:11:19.117Z",
      "status": "pending",
      "version": "version",
      "workspace_id": "workspace_id",
      "idempotency_key": "idempotency_key"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}
```
